Bug 1023609 - 'biosdevname=0' not passed into installed system
'biosdevname=0' not passed into installed system
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
20
All All
unspecified Severity medium
: ---
: ---
Assigned To: Radek Vykydal
Fedora Extras Quality Assurance
AcceptedFreezeException
:
Depends On:
Blocks: F20FinalFreezeException 1030943
  Show dependency treegraph
 
Reported: 2013-10-25 20:17 EDT by Adam Williamson
Modified: 2013-11-23 22:59 EST (History)
7 users (show)

See Also:
Fixed In Version: pykickstart-1.99.46-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1030943 (view as bug list)
Environment:
Last Closed: 2013-11-23 22:59:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2013-10-25 20:17:59 EDT
If you run the installer with 'biosdevname=0', it respects this setting: biosdevname is not active, and you get systemd persistent naming names for your network devices (https://fedoraproject.org/wiki/Features/SystemdPredictableNetworkInterfaceNames ). But the parameter is not passed into the installed system, so when you boot the installed system, biosdevname *is* active, and you get biosdevname names for your network devices instead - you have to know to manually edit the grub config file to add biosdevname=0 there too. It was noted during the F19 cycle that this inconsistency (which you got baked into F19, for free!) can cause various undesirable effects, so ideally we should keep things consistent, here.
Comment 1 Mike Ruckman 2013-11-14 13:29:26 EST
Discussed in 2013-11-14 Blocker Review Meeting [1]. This was voted a AcceptedFreezeException. This setting should be consistent in the installer environment and in the installed system. We would accept a patch after freeze if self-contained and safe.

[1] http://meetbot.fedoraproject.org/fedora-blocker-review/2013-11-14/
Comment 2 Radek Vykydal 2013-11-15 06:27:42 EST
The patch is safe.
Comment 3 Fedora Update System 2013-11-15 21:12:33 EST
anaconda-20.25.8-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/anaconda-20.25.8-1.fc20
Comment 4 Fedora Update System 2013-11-17 02:04:01 EST
Package anaconda-20.25.8-1.fc20, pykickstart-1.99.46-1.fc20, python-blivet-0.23.5-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-20.25.8-1.fc20 pykickstart-1.99.46-1.fc20 python-blivet-0.23.5-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21553/pykickstart-1.99.46-1.fc20,python-blivet-0.23.5-1.fc20,anaconda-20.25.8-1.fc20
then log in and leave karma (feedback).
Comment 5 Harald Hoyer 2013-11-20 06:45:36 EST
Does it set "biosdevname=1" also?
Comment 6 Radek Vykydal 2013-11-20 07:37:13 EST
Yes, no matter what the value of the installer biosdevname boot option is, it is just passing it if it founds any.
Comment 7 Fedora Update System 2013-11-23 22:59:48 EST
pykickstart-1.99.46-1.fc20, python-blivet-0.23.5-1.fc20, anaconda-20.25.9-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.